Page MenuHomePhabricator

Stop the user from adding a langlink when we think they wanted to insert an interwiki instead
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Open link dialogue on a page on mediawiki.org
  2. Try to add a link to https://en.wikipedia.org/wiki/Knowledge graph using the link inspector, e.g. type in "en:Knowledge Graph".
  3. The link inspector correctly finds the page.
  4. Click on the link.
  5. The link displays while you're editing and looks correct, like the page you're trying to add has been found.
  6. Save the edit

Expected result:
A link to that page on the other wiki is added, e.g. [[:en:Knowledge Graph|Knowledge Graph]]

Actual result:
An old-style interwiki link is added, e.g. [[en:Knowledge Graph|Knowledge Graph]], which causes the link to disappear when you save

Diffs:

Event Timeline

Deskana created this task.Jun 24 2015, 1:19 AM
Deskana raised the priority of this task from to Needs Triage.
Deskana updated the task description. (Show Details)
Deskana added a project: VisualEditor.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2015, 1:19 AM
nshahquinn-wmf set Security to None.
Krenair renamed this task from Trying to add a link to a page on another wiki instead adds an interwiki link to Trying to add a link to a page on another wiki sometimes adds a language link, depending on the target wiki.Jul 16 2015, 2:21 AM
Krenair renamed this task from Trying to add a link to a page on another wiki sometimes adds a language link, depending on the target wiki to Prevent user from adding a langlink.Jul 23 2015, 7:48 PM
Jdforrester-WMF renamed this task from Prevent user from adding a langlink to Stop the user from adding a langlink when we magically think they wanted to insert an interwiki instead.Jul 23 2015, 7:51 PM
Jdforrester-WMF triaged this task as Lowest priority.

I looked into trying to identify things that MW will turn into langlinks and only prepending ':' to those, but it might be easier to just do it to all interwikis. :/

nshahquinn-wmf raised the priority of this task from Lowest to Medium.Jul 31 2015, 7:26 PM
nshahquinn-wmf lowered the priority of this task from Medium to Lowest.
nshahquinn-wmf moved this task from To Triage to Freezer on the VisualEditor board.
Krenair renamed this task from Stop the user from adding a langlink when we magically think they wanted to insert an interwiki instead to Stop the user from adding a langlink when we think they wanted to insert an interwiki instead.Aug 10 2015, 1:32 AM
Gnom1 awarded a token.Nov 2 2015, 11:59 AM
Gnom1 added a subscriber: Gnom1.
Tgr added a subscriber: Tgr.Jul 21 2016, 4:40 PM

Hey @marcella @ppelberg, this isn't directly in the wheelhouse of Mobile Usability bugs but we would like to work on this. Talk to @matmarex for more context.

(More context in the Parsoid subtask: T95850#5078918)

JTannerWMF added a subscriber: ssastry.

@ssastry we are moving this to external on our board and tagging parsoid based on the code.

ssastry moved this task from Backlog to Link syntax (links & media) on the Parsoid-Edit-Support board.

Change 525682 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Work around a Parsoid bug with creating interwiki links

https://gerrit.wikimedia.org/r/525682

Change 525682 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Work around a Parsoid bug with creating interwiki links

https://gerrit.wikimedia.org/r/525682

ppelberg closed this task as Resolved.Sep 3 2019, 12:15 AM
ppelberg claimed this task.
Aklapper edited projects, added Parsoid; removed Parsoid-Edit-Support.Feb 29 2020, 5:15 PM